<?php

namespace FSPoster\App\view;

use FSPoster\App\Providers\Date;
use FSPoster\App\Providers\DB;
use FSPoster\App\Providers\Helper;

defined('MODAL') or exit();
?>

<link rel="stylesheet" href="<?php print Helper::assets('css/schedule/add.css', true)?>" />
<script type="text/javascript" src="<?php print Helper::assets('js/schedule/add.js?5', true)?>" id="schedule_script" data-id="<?php print isset($parameters['info']) ? $parameters['info']['id'] : 0?>" data-mn="<?php print $mn?>" data-keep-logs="<?php print Helper::getOption('keep_logs', 1)?>"></script>

<link rel="stylesheet" href="<?php print Helper::assets('css/jquery-ui.css')?>">
<script src="<?php print Helper::assets('js/jquery-ui.js')?>"></script>

<span class="close" data-modal-close="true">&times;</span>

<div id="schedule_popup">

	<div class="fs_modal_header_bg"><?php print $parameters['title']?></div>

	<div class="schedule_popup_body">

		<div class="schedule-mdl-tabs">
			<div data-tab-id="basic" class="active-tab"><span>1</span> <?php print esc_html__('Basic data', 'fs-poster')?></div>
			<div data-tab-id="filters"><span>2</span> <?php print esc_html__('Filters', 'fs-poster')?></div>
			<div data-tab-id="accounts"><span>3</span> <?php print esc_html__('Accounts', 'fs-poster')?></div>
			<div data-tab-id="custom_messages"><span>4</span> <?php print esc_html__('Custom messages', 'fs-poster')?></div>
		</div>

		<div class="schedule_popup_tabs">
			<div data-oppen-tab-id="basic">

				<div class="fs_form_group">
					<label>
						<?php print esc_html__('Name:' , 'fs-poster')?>
						<span class="ws_tooltip" data-title="<?php print esc_html__('You can add multiple Schedules. Please fill the name field because of confusions.', 'fs-poster')?>">
							<i class="fa fa-info-circle"></i>
						</span>
					</label>
					<input type="text" class="ws_form_element2 schedule_input_title" value="<?php print isset($parameters['info']['title']) ? esc_html($parameters['info']['title']) : (isset($parameters['name']) ? esc_html($parameters['name']) : '') ?>" placeholder="<?php print esc_html__('Name' , 'fs-poster')?>">
				</div>

				<div class="fs_form_group">
					<label>
						<?php print esc_html__('Start date, time:' , 'fs-poster')?>
						<span class="ws_tooltip" data-title="<?php print esc_html__('Which date-time this schedule will be start?', 'fs-poster')?>">
							<i class="fa fa-info-circle"></i>
						</span>
					</label>
					<div class="schedule_date_time_section">
						<input type="text" class="ws_form_element2 schedule_input_start_date" placeholder="<?php print esc_html__('Select date' , 'fs-poster')?>" value="<?php print Date::datee( isset($parameters['info']['start_date']) ? $parameters['info']['start_date'] : 'now' )?>">
						<input type="time" class="ws_form_element2 schedule_input_start_time" placeholder="<?php print esc_html__('Select time' , 'fs-poster')?>" value="<?php print Date::time( isset($parameters['info']['share_time']) ? $parameters['info']['share_time'] : 'now' )?>">
						<div id="local_timezone"><?php print esc_html__('Local time:') . ' ' . Date::dateTime() ?></div>
					</div>
				</div>

				<div class="fs_form_group<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] == 1 ? ' fs_hidden' : ''?>">
					<label>
						<?php print esc_html__('Post every:' , 'fs-poster')?>
						<span class="ws_tooltip" data-title="<?php print esc_html__('Interval of every post.', 'fs-poster')?>"><i class="fa fa-info-circle"></i></span>
					</label>

					<div class="schedule_interval_section">
						<select class="ws_form_element interval">
							<?php
							foreach ( [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 15, 20, 30, 40, 45, 50] AS $interval )
							{
								print '<option value="' . $interval . '"' . (isset( $parameters['info']['interval'] ) && $parameters['info']['interval'] == $interval ? ' selected' : '') . '>' . $interval . '</option>';
							}
							?>
						</select>
						<select class="ws_form_element interval_type">
							<option value="60"<?php print isset($parameters['info']['interval_type']) && $parameters['info']['interval_type'] == '60' ? ' selected' : ''?>><?php print esc_html__('Hour' , 'fs-poster')?></option>
							<option value="1"<?php print isset($parameters['info']['interval_type']) && $parameters['info']['interval_type'] == '1' ? ' selected' : ''?>><?php print esc_html__('Minute' , 'fs-poster')?></option>
							<option value="1440"<?php print isset($parameters['info']['interval_type']) && $parameters['info']['interval_type'] == '1440' ? ' selected' : ''?>><?php print esc_html__('Day' , 'fs-poster')?></option>
						</select>
					</div>
				</div>

				<div class="fs_form_group<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] == 1 ? ' fs_hidden' : ''?>">
					<label>
						<?php print esc_html__('Set sleep time:' , 'fs-poster')?>
						<span class="ws_tooltip" data-title="<?php print esc_html__('You can set sleep times in your Schedule. The plugin will not share any post during sleep times.', 'fs-poster')?>">
							<i class="fa fa-info-circle"></i>
						</span>
						<input type="checkbox" class="schedule_set_sleep_time"<?php print isset($parameters['info']['sleep_time_start']) && !empty($parameters['info']['sleep_time_start']) ? ' checked' : ''?>>
					</label>
					<div class="schedule_sleep_time_section">
						<input type="time" class="ws_form_element2 schedule_input_sleep_time_start" value="<?php print isset($parameters['info']['sleep_time_start']) && !empty($parameters['info']['sleep_time_start']) ? Date::time($parameters['info']['sleep_time_start']) : ''?>">
						<input type="time" class="ws_form_element2 schedule_input_sleep_time_end" value="<?php print isset($parameters['info']['sleep_time_end']) && !empty($parameters['info']['sleep_time_end']) ? Date::time($parameters['info']['sleep_time_end']) : ''?>">
					</div>
				</div>

				<div class="fs_form_group schedule_method_selecting_section<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] == 1 ? ' fs_hidden' : ''?>">
					<label>
						<?php print esc_html__('Order posts by:', 'fs-poster')?>
						<span class="ws_tooltip" data-title="<?php print esc_html__('Method for selecting posts.', 'fs-poster')?>">
							<i class="fa fa-info-circle"></i>
						</span>
					</label>
					<select class="ws_form_element post_sort">
						<option value="random2"<?php print isset($parameters['info']['post_sort']) && $parameters['info']['post_sort'] == 'random2' ? ' selected' : ''?>><?php print esc_html__('Randomly ( without duplicates )', 'fs-poster')?></option>
						<option value="random"<?php print isset($parameters['info']['post_sort']) && $parameters['info']['post_sort'] == 'random' ? ' selected' : ''?>><?php print esc_html__('Randomly', 'fs-poster')?></option>
						<option value="old_first"<?php print isset($parameters['info']['post_sort']) && $parameters['info']['post_sort'] == 'old_first' ? ' selected' : ''?>><?php print esc_html__('Old posts first', 'fs-poster')?></option>
						<option value="new_first"<?php print isset($parameters['info']['post_sort']) && $parameters['info']['post_sort'] == 'new_first' ? ' selected' : ''?>><?php print esc_html__('New posts first', 'fs-poster')?></option>
					</select>
				</div>
			</div>
			<div data-oppen-tab-id="filters">

				<div class="fs_form_group<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] > 0 ? ' fs_hidden' : ''?>">
					<label><?php print esc_html__('By shared time of posts:', 'fs-poster')?></label>
					<select class="ws_form_element schedule_input_post_date_filter">
						<option value="all"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'all' ? ' selected' : ''?>><?php print esc_html__('All time', 'fs-poster')?></option>
						<option value="this_week"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'this_week' ? ' selected' : ''?>><?php print esc_html__('This week', 'fs-poster')?></option>
						<option value="previously_week"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'previously_week' ? ' selected' : ''?>><?php print esc_html__('Previously week', 'fs-poster')?></option>
						<option value="this_month"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'this_month' ? ' selected' : ''?>><?php print esc_html__('This month', 'fs-poster')?></option>
						<option value="previously_month"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'previously_month' ? ' selected' : ''?>><?php print esc_html__('Previously month', 'fs-poster')?></option>
						<option value="this_year"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'this_year' ? ' selected' : ''?>><?php print esc_html__('This year', 'fs-poster')?></option>
						<option value="last_30_days"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'last_30_days' ? ' selected' : ''?>><?php print esc_html__('Last 30 days', 'fs-poster')?></option>
						<option value="last_60_days"<?php print isset($parameters['info']['post_date_filter']) && $parameters['info']['post_date_filter'] == 'last_60_days' ? ' selected' : ''?>><?php print esc_html__('Last 60 days', 'fs-poster')?></option>
					</select>
				</div>

				<div class="fs_form_group<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] > 0 ? ' fs_hidden' : ''?>">
					<label>
						<?php print esc_html__('By post type:', 'fs-poster')?>
						<span class="ws_tooltip" data-title="<?php print esc_html__('You can select new post types in [ FS Poster > Settings > Share post types ].', 'fs-poster')?>">
							<i class="fa fa-info-circle"></i>
						</span>
					</label>
					<select class="ws_form_element schedule_input_post_type_filter">
						<?php
						foreach( $parameters['postTypes'] AS $post_type )
						{
							print '<option value="' . esc_html($post_type) . '"' . ( isset( $parameters['info']['post_type_filter'] ) && $parameters['info']['post_type_filter'] == esc_html($post_type) ? ' selected' : '') . '>' . esc_html(ucfirst($post_type)) . '</option>';
						}
						?>
					</select>
				</div>

				<div class="fs_form_group fs_stock_option_area<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] == 1 ? ' fs_hidden' : ''?>">
					<label>
						<input type="checkbox" class="schedule_dont_post_out_of_stock_products"<?php print isset($parameters['info']['dont_post_out_of_stock_products']) && $parameters['info']['dont_post_out_of_stock_products'] == 1 ? ' checked' : ''?>>
						<?php print esc_html__('Don\'t post products that are out of stock:' , 'fs-poster')?>
					</label>
				</div>

				<div class="fs_form_group<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] > 0 ? ' fs_hidden' : ''?>">
					<label><?php print esc_html__('By post category and tag:', 'fs-poster')?></label>
					<select class="ws_form_element schedule_input_category_filter" data-placeholder="<?php print esc_html__('Not  selected' , 'fs-poster')?>">
						<option><?php print esc_html__('- All -', 'fs-poster')?></option>

						<optgroup label="<?php print esc_html__('Post categories', 'fs-poster')?>">
						<?php
						foreach( $parameters['postCategories'] AS $categ )
						{
							print '<option value="' . esc_html($categ->term_id) . '"' . ( isset( $parameters['info']['category_filter'] ) && $parameters['info']['category_filter'] == esc_html($categ->term_id) ? ' selected' : '') . '>' . esc_html($categ->name) . '</option>';
						}
						?>
						</optgroup>

						<?php
						if( !empty( $parameters['productCategories'] ) )
						{
							print '<optgroup label="' . esc_html__('Product categories', 'fs-poster') . '">';
							foreach( $parameters['productCategories'] AS $categ )
							{
								print '<option value="' . esc_html($categ->term_id) . '"' . ( isset( $parameters['info']['category_filter'] ) && $parameters['info']['category_filter'] == esc_html($categ->term_id) ? ' selected' : '') . '>' . esc_html($categ->name) . '</option>';
							}
							print '</optgroup>';
						}

						print '<optgroup label="' . esc_html__('Custom categories', 'fs-poster') . '"></optgroup>';


						foreach( $parameters['customTaxonomies'] AS $customTaxanomyName => $categories )
						{
							print '<optgroup label="' . esc_html( $customTaxanomyName ) . '">';

							foreach ( $categories AS $categ )
							{
								print '<option value="' . esc_html($categ->term_id) . '"' . ( isset( $parameters['info']['category_filter'] ) && $parameters['info']['category_filter'] == esc_html($categ->term_id) ? ' selected' : '') . '>' . esc_html($categ->name) . '</option>';
							}

							print '</optgroup>';
						}
						?>
					</select>
				</div>

				<div class="fs_form_group">
					<label><?php print esc_html__('Specific Post ID(s) (separate by comma):', 'fs-poster')?></label>
					<input type="text" class="ws_form_element2 schedule_input_post_ids" value="<?php print isset($parameters['info']) ? $parameters['info']['save_post_ids'] : $parameters['post_ids']?>"<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] > 0 ? ' disabled' : ''?>>
				</div>

			</div>
			<div data-oppen-tab-id="accounts">

				<div class="schedule_accounts_section">
					<div class="sn_tabs">
						<div data-tab-id="fb" class="active-sn"><i class="fab fa-facebook-square"></i> <?php print esc_html__('Facebook', 'fs-poster')?></div>
						<div data-tab-id="instagram"><i class="fab fa-instagram"></i> <?php print esc_html__('Instagram', 'fs-poster')?></div>
						<div data-tab-id="twitter"><i class="fab fa-twitter-square"></i> <?php print esc_html__('Twitter', 'fs-poster')?></div>
						<div data-tab-id="linkedin"><i class="fab fa-linkedin"></i> <?php print esc_html__('Linkedin', 'fs-poster')?></div>
						<div data-tab-id="tumblr"><i class="fab fa-tumblr-square"></i> <?php print esc_html__('Tumblr', 'fs-poster')?></div>
						<div data-tab-id="reddit"><i class="fab fa-reddit-square"></i> <?php print esc_html__('Reddit', 'fs-poster')?></div>
						<div data-tab-id="vk"><i class="fab fa-vk"></i> <?php print esc_html__('VK.com', 'fs-poster')?></div>
						<div data-tab-id="ok"><i class="fab fa-odnoklassniki"></i> <?php print esc_html__('OK.ru', 'fs-poster')?></div>
						<div data-tab-id="pinterest"><i class="fab fa-pinterest-square"></i> <?php print esc_html__('Pinterest', 'fs-poster')?></div>
						<div data-tab-id="google_b"><i class="fab fa-google"></i> <?php print esc_html__('Google MyBusiness', 'fs-poster')?></div>
						<div data-tab-id="telegram"><i class="fab fa-telegram"></i> <?php print esc_html__('Telegram', 'fs-poster')?></div>
						<div data-tab-id="medium"><i class="fab fa-medium"></i> <?php print esc_html__('Medium', 'fs-poster')?></div>
						<div data-tab-id="wordpress"><i class="fab fa-wordpress"></i> <?php print esc_html__('WordPress', 'fs-poster')?></div>
					</div>
					<div class="schedule_accounts_customization_section">
						<div class="fs_share_box_items" id="share_box1">
							<?php
							foreach ($parameters['activeNodes'] AS $nodeInf)
							{
								?>
								<div class="fs_share_box_node" data-tab="<?php print esc_html($nodeInf['driver'])?>">
									<input type="hidden" name="share_on_nodes[]" value="<?php print esc_html($nodeInf['node_type']).':'.(int)$nodeInf['id']?>">
									<div class="node_img"><img src="<?php print Helper::profilePic($nodeInf)?>" onerror="this.src = FSPosterData.assets_url + 'images/no-photo.png';"></div>
									<div class="node_label">
										<div>
											<?php print esc_html($nodeInf['name']);?>
											<a href="<?php print Helper::profileLink($nodeInf)?>" target="_blank" class="ws_btn schedule_profile_link" title="<?php print esc_html__('Profile link', 'fs-poster')?>"><i class="fa fa-external-link fa-external-link-alt"></i></a>
										</div>
										<div class="node_label_help"><?php print esc_html($nodeInf['node_type']);?> <?php print empty($nodeInf['title_text']) ? '' : '<i class="fa fa-filter" title="'.esc_html($nodeInf['title_text']).'"></i>'?></div>
									</div>
									<div class="node_remove"><div class="node_remove_btn" type="button"><i class="fa fa-times"></i></div></div>
								</div>
								<?php
							}
							?>
						</div>
						<div class="schedule_accounts_customization_actions">
							<div class="ws_bg_default ws_btn add_to_list_btn"><i class="fa fa-plus"></i> <?php print esc_html__('add account', 'fs-poster')?></div>
							<div class="ws_bg_warning ws_btn remove_all_from_list"><i class="fa fa-times"></i> <?php print esc_html__('empty list', 'fs-poster')?></div>
						</div>
					</div>
				</div>

			</div>
			<div data-oppen-tab-id="custom_messages">

				<div class="schedule_custom_messages_section">
					<div class="custom-messages-sn">
						<div data-sn-id="fb" class="active-sn"><i class="fab fa-facebook-square"></i> <?php print esc_html__('Facebook', 'fs-poster')?></div>
						<div data-sn-id="instagram"><i class="fab fa-instagram"></i> <?php print esc_html__('Instagram ( post )', 'fs-poster')?></div>
						<div data-sn-id="instagram_h"><i class="fab fa-instagram"></i> <?php print esc_html__('Instagram ( story )', 'fs-poster')?></div>
						<div data-sn-id="twitter"><i class="fab fa-twitter-square"></i> <?php print esc_html__('Twitter', 'fs-poster')?></div>
						<div data-sn-id="linkedin"><i class="fab fa-linkedin"></i> <?php print esc_html__('Linkedin', 'fs-poster')?></div>
						<div data-sn-id="tumblr"><i class="fab fa-tumblr-square"></i> <?php print esc_html__('Tumblr', 'fs-poster')?></div>
						<div data-sn-id="reddit"><i class="fab fa-reddit-square"></i> <?php print esc_html__('Reddit', 'fs-poster')?></div>
						<div data-sn-id="vk"><i class="fab fa-vk"></i> <?php print esc_html__('VK.com', 'fs-poster')?></div>
						<div data-sn-id="ok"><i class="fab fa-odnoklassniki"></i> <?php print esc_html__('OK.ru', 'fs-poster')?></div>
						<div data-sn-id="pinterest"><i class="fab fa-pinterest-square"></i> <?php print esc_html__('Pinterest', 'fs-poster')?></div>
						<div data-sn-id="google_b"><i class="fab fa-google"></i> <?php print esc_html__('Google MyBusiness', 'fs-poster')?></div>
						<div data-sn-id="telegram"><i class="fab fa-telegram"></i> <?php print esc_html__('Telegram', 'fs-poster')?></div>
						<div data-sn-id="medium"><i class="fab fa-medium"></i> <?php print esc_html__('Medium', 'fs-poster')?></div>
						<div data-sn-id="wordpress"><i class="fab fa-wordpress"></i> <?php print esc_html__('WordPress', 'fs-poster')?></div>
					</div>
					<div class="schedule_custom_messages_body">
						<div><?php print esc_html__('Custom text:', 'fs-poster')?></div>
						<div class="social_network_custom_texts">
							<textarea class="ws_form_element2" data-sn-id="fb"><?php print esc_html($parameters['customMessages']['fb'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="instagram"><?php print esc_html($parameters['customMessages']['instagram'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="instagram_h"><?php print esc_html($parameters['customMessages']['instagram_h'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="twitter"><?php print esc_html($parameters['customMessages']['twitter'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="linkedin"><?php print esc_html($parameters['customMessages']['linkedin'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="tumblr"><?php print esc_html($parameters['customMessages']['tumblr'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="reddit"><?php print esc_html($parameters['customMessages']['reddit'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="vk"><?php print esc_html($parameters['customMessages']['vk'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="ok"><?php print esc_html($parameters['customMessages']['ok'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="pinterest"><?php print esc_html($parameters['customMessages']['pinterest'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="google_b"><?php print esc_html($parameters['customMessages']['google_b'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="telegram"><?php print esc_html($parameters['customMessages']['telegram'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="medium"><?php print esc_html($parameters['customMessages']['medium'])?></textarea>
							<textarea class="ws_form_element2" data-sn-id="wordpress"><?php print esc_html($parameters['customMessages']['wordpress'])?></textarea>
						</div>
						<div class="schedule_custom_messages_keywords_section">
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post ID' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{id}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post title' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{title}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post excerpt' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{excerpt}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post author name' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{author}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php echo esc_html__('Limited post content:', 'fs-poster'); ?> <i class="fas fa-info-circle ws_tooltip" data-title="<?php echo esc_html__('Default is first 40 characters. You can set it whatever you want.', 'fs-poster'); ?>"></i></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{content_short_40}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post content Full' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{content_full}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post link' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{link}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post short link' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{short_link}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Featured image URL' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{featured_image_url}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('WooCommerce - product price' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{product_regular_price}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('WooCommerce - product sale price' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{product_sale_price}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Unique ID' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{uniq_id}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post Tags' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{tags}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Post Categories' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{categories}</div>
							</div>
							<div class="fs_text_codes">
								<div><?php print esc_html__('Custom fields' , 'fs-poster')?></div>
								<div class="ws_tooltip ws_color_info append_to_text" data-title="<?php print esc_html__('Click to append in text' , 'fs-poster')?>">{cf_KEY}</div>
							</div>
						</div>
					</div>
				</div>

			</div>
		</div>

		<div class="schedule_popup_footer">
			<button type="button" class="ws_btn ws_bg_warning schedule_save_btn"><?php print $parameters['btn_title']?></button>
			<button type="button" class="ws_btn" data-modal-close="true"><?php print esc_html__('Close' , 'fs-poster')?></button>
			<span class="schedule_matches_section<?php print isset($parameters['post_ids_count']) && $parameters['post_ids_count'] == 1 ? ' fs_hidden' : ''?>">
				<?php print esc_html__('Posts matching your filters:', 'fs-poster')?>
				<b class="schedule_matches_count">...</b>
			</span>
		</div>

	</div>
</div>

<fslang data-id="no_posts_matched_your_filters"><?php print esc_html__('No posts matched your filters!' , 'fs-poster')?></fslang>
